Index: org/postgresql/jdbc1/ResultSetMetaData.java
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc1/ResultSetMetaData.java,v
retrieving revision 1.5
diff -c -r1.5 ResultSetMetaData.java
*** org/postgresql/jdbc1/ResultSetMetaData.java	2001/09/06 20:43:39	1.5
--- org/postgresql/jdbc1/ResultSetMetaData.java	2001/09/15 19:35:09
***************
*** 136,144 ****
    }
    
    /**
!    * Can you put a NULL in this column?  I think this is always
!    * true in 6.1's case.  It would only be false if the field had
!    * been defined NOT NULL (system catalogs could be queried?)
     *
     * @param column the first column is 1, the second is 2...
     * @return one of the columnNullable values
--- 136,142 ----
    }
    
    /**
!    * Indicates the nullability of values in the designated column.
     *
     * @param column the first column is 1, the second is 2...
     * @return one of the columnNullable values
***************
*** 146,154 ****
     */
    public int isNullable(int column) throws SQLException
    {
!     return columnNullable;	// We can always put NULL in
    }
!   
    /**
     * Is the column a signed number? In PostgreSQL, all numbers
     * are signed, so this is trivial.  However, strings are not
--- 144,157 ----
     */
    public int isNullable(int column) throws SQLException
    {
! 	/*
! 	 * TODO This needs a real implementation, taking into account columns
! 	 * defined with NOT NULL or PRIMARY KEY, CHECK constraints, views, 
! 	 * functions etc.
! 	 */
!     return columnNullableUnknown;
    }
! 
    /**
     * Is the column a signed number? In PostgreSQL, all numbers
     * are signed, so this is trivial.  However, strings are not
Index: org/postgresql/jdbc2/ResultSetMetaData.java
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/ResultSetMetaData.java,v
retrieving revision 1.5
diff -c -r1.5 ResultSetMetaData.java
*** org/postgresql/jdbc2/ResultSetMetaData.java	2001/09/06 20:43:39	1.5
--- org/postgresql/jdbc2/ResultSetMetaData.java	2001/09/15 19:35:09
***************
*** 131,139 ****
    }
    
    /**
!    * Can you put a NULL in this column?  I think this is always
!    * true in 6.1's case.  It would only be false if the field had
!    * been defined NOT NULL (system catalogs could be queried?)
     *
     * @param column the first column is 1, the second is 2...
     * @return one of the columnNullable values
--- 131,137 ----
    }
    
    /**
!    * Indicates the nullability of values in the designated column.
     *
     * @param column the first column is 1, the second is 2...
     * @return one of the columnNullable values
***************
*** 141,147 ****
     */
    public int isNullable(int column) throws SQLException
    {
!     return columnNullable;	// We can always put NULL in
    }
    
    /**
--- 139,150 ----
     */
    public int isNullable(int column) throws SQLException
    {
! 	/*
! 	 * TODO This needs a real implementation, taking into account columns
! 	 * defined with NOT NULL or PRIMARY KEY, CHECK constraints, views, 
! 	 * functions etc.
! 	 */
!     return columnNullableUnknown;
    }
    
    /**
